Уязвимость BDU:2019-03218

Дата: 17.10.2018. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-03218.

Наименование уязвимости: Уязвимость компонента OpenSSL::X509::Name библиотеки OpenSSL интерпретатора языка программирования Ruby, позволяющая нарушителю осуществить подделку сертификата X509.

Описание уязвимости: Уязвимость компонента OpenSSL::X509::Name библиотеки OpenSSL интерпретатора языка программирования Ruby связана с ошибками обработки данных. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, осуществить подделку сертификата X509
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 14.04 LTS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 6 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7 | Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Debian GNU/Linux 9 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 18.10 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 SP1 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7.4 EUS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7.5 EUS | Операционная система Red Hat Inc. Red Hat Enterprise Linux 7.6 EUS | Операционная система Debian GNU/Linux 8 | Прикладное ПО информационных систем Ruby Team Ruby от 2.3.0 до 2.3.7 включительно | Прикладное ПО информационных систем Ruby Team Ruby от 2.4.0 до 2.4.4 включительно | Прикладное ПО информационных систем Ruby Team Ruby от 2.5.0 до 2.5.1 включительно | Прикладное ПО информационных систем Ruby Team Ruby от 2.6.0 до 2.6.0-preview2 включительно | Oracle Corp. Oracle Communications Interactive Session Recorder 6.0 | Oracle Corp. Oracle Communications Interactive Session Recorder 6.1 | Oracle Corp. Oracle Communications Interactive Session Recorder 6.2 | Oracle Corp. Oracle Communications Interactive Session Recorder 6.3 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1404 LTS | Red Hat Enterprise Linux 6 | Red Hat Enterprise Linux 7 | Ubuntu 1604 LTS | Debian GNU/Linux 9 | Ubuntu 1804 LTS | Ubuntu 1810 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Red Hat Enterprise Linux 74 EUS | Red Hat Enterprise Linux 75 EUS | Red Hat Enterprise Linux 76 EUS | Debian GNU/Linux 8 |
Дата выявления: 17.10.2018.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций:

Для Ruby:

https://www.ruby-lang.org/en/news/2018/10/17/ruby-2-3-8-released/

https://www.ruby-lang.org/en/news/2018/10/17/ruby-2-4-5-released/

https://www.ruby-lang.org/en/news/2018/10/17/ruby-2-5-2-released/

https://www.ruby-lang.org/en/news/2018/11/06/ruby-2-6-0-preview3-released/



Для Debian GNU/Linux:

https://lists.debian.org/debian-lts-announce/2018/10/msg00020.html

Для Ubuntu:

https://usn.ubuntu.com/3808-1/



Для программных продуктов Novell Inc.:

https://www.suse.com/security/cve/CVE-2018-16395/

Для программных продуктов Oracle Corp.:
https://www.oracle.com/security-alerts/cpujan2020.html.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2018-16395.
Прочая информация:
Тип ошибки CWE: CWE-19
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://lists.opensuse.org/opensuse-security-announce/2019-07/msg00036.html

https://access.redhat.com/errata/RHSA-2018:3729

https://access.redhat.com/errata/RHSA-2018:3730

https://access.redhat.com/errata/RHSA-2018:3731

https://access.redhat.com/errata/RHSA-2018:3738

https://access.redhat.com/errata/RHSA-2019:1948

https://access.redhat.com/errata/RHSA-2019:2565

https://hackerone.com/reports/387250

https://lists.debian.org/debian-lts-announce/2018/10/msg00020.html

https://security.netapp.com/advisory/ntap-20190221-0002/

https://usn.ubuntu.com/3808-1/

https://www.debian.org/security/2018/dsa-4332

https://www.ruby-lang.org/en/news/2018/10/17/openssl-x509-name-equality-check-does-not-work-correctly-cve-2018-16395/

https://www.ruby-lang.org/en/news/2018/10/17/ruby-2-3-8-released/

https://www.ruby-lang.org/en/news/2018/10/17/ruby-2-4-5-released/

https://www.ruby-lang.org/en/news/2018/10/17/ruby-2-5-2-released/

https://www.ruby-lang.org/en/news/2018/11/06/ruby-2-6-0-preview3-released/

https://www.suse.com/security/cve/CVE-2018-16395/
https://www.oracle.com/security-alerts/cpujan2020.html

Если вы нашли ошибку, пожалуйста, выделите фрагмент текста и нажмите Ctrl+Enter.

Поделиться ссылкой

ФСТЭК России

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *